// 房票管理
import request from "@/utils/request";

/**
 * 房票列表
 * @param {*} data
 * @returns
 */
export function list(data) {
  return request({
    url: "/housingTicket/list",
    method: "post",
    data: data,
  });
}

/**
 * 房票创建
 * @param {*} data
 * @returns
 */
export function add(data) {
  return request({
    url: "/housingTicket/create",
    method: "post",
    data: data,
  });
}

export function numberAdd(data) {
  return request({
    url: "/housingTicket/numberAdd",
    method: "post",
    data: data,
  });
}

export function getLastNumber() {
  return request({
    url: "/housingTicket/getLastNumber",
    method: "get",
    //   data: data,
  });
}

export function info(data) {
  return request({
    url: "/housingTicket/info",
    method: "get",
    params:data
    //   data: data,
  });
}


export function getStatistics(data) {
  return request({
    url: "/repaymentRecordPlan",
    method: "get",
    params:data
    //   data: data,
  });
}

export function getNormalData(data) {
  return request({
    url: "/repaymentRecordPlan/normalData",
    method: "get",
    params:data
    //   data: data,
  });
}


/**
 * 用户导出
 * @param {*} data 
 * @returns 
 */
export function listExport(data) {
  return request({
    url: "/housingTicket/listExport",
    method: "post",
    data: data,
  });
}